Get Return Orders
Authentication
Authentication using Personal Access Token (PAT) token or OAuth2
Headers
Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.
Query parameters
The IDs of the returns to fetch. Accepts a comma-separated list of return IDs (e.g., 123,456,789).
Comma-separated list of return reference IDs (RMA numbers) to filter by.
Comma-separated list of return statuses to filter by (e.g., AwaitingArrival,Arrived,Processing,Completed,Cancelled).
Comma-separated list of fulfillment center IDs to filter by.
Comma-separated list of tracking numbers to filter by.
Comma-separated list of original shipment IDs to filter by.
Comma-separated list of inventory IDs to filter by.
Filter returns created on or after this date (ISO 8601 format).
Filter returns created on or before this date (ISO 8601 format).
Comma-separated list of return types to filter by (e.g., Regular,ReturnToSender).
Comma-separated list of return actions to filter by (e.g., Restock,Quarantine,Dispose).
Comma-separated list of store order IDs to filter by.
Filter returns completed on or after this date (ISO 8601 format).
Filter returns completed on or before this date (ISO 8601 format).
Sort order for results. Desc = newest to oldest, Asc = oldest to newest, Desc is default

